Bug 1773197 - xterm window title alternates between shell commands
Summary: xterm window title alternates between shell commands
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xterm
Version: 31
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tomas Korbar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-16 12:48 UTC by Kaarle Ritvanen
Modified: 2019-12-03 01:10 UTC (History)
1 user (show)

Fixed In Version: xterm-351-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-03 01:10:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Kaarle Ritvanen 2019-11-16 12:48:24 UTC
Description of problem:
When running bash on xterm, the window title alternates between the title set by the escape sequence and string "Untitled" every time when bash prints a new command prompt.

Version-Release number of selected component (if applicable):
xterm-349-2.fc31
bash-5.0.7-3.fc31

How reproducible:
Open an xterm window and start pressing Enter.

Expected results:
The window title remains the same, e.g. "user@host:~".

Actual results:
The window title alternates between "Untitled" and "user@host:~".

Additional info:
The PROMPT_COMMAND environment variable was set to:
printf "\033]0;%s@%s:%s\007" "${USER}" "${HOSTNAME%%.*}" "${PWD/#$HOME/\~}"

Comment 1 Fedora Update System 2019-11-25 07:57:02 UTC
FEDORA-2019-dfcdee1dd9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-dfcdee1dd9

Comment 2 Tomas Korbar 2019-11-25 08:03:46 UTC
Hi Kaarle,
Thanks for reporting this. Could you please update your xterm to the latest stable version(xterm-350-1.fc31) and test if this bug is still affecting you? There has been similar bug fixed recently https://bugzilla.redhat.com/show_bug.cgi?id=1771042. I also created update to 351 which will soon hit testing repo, so if 350 wont fix your issue then please try also 351.

Comment 3 Kaarle Ritvanen 2019-11-25 19:33:27 UTC
The bug is not present in version 350.

Comment 4 Fedora Update System 2019-11-27 00:31:42 UTC
xterm-351-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-dfcdee1dd9

Comment 5 Fedora Update System 2019-12-03 01:10:30 UTC
xterm-351-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.